Subject: [PATCH 25/54] gnu: Add rust-gix-worktree-stream-0.5.

From: Steve George <[email-masked]>
Date: Thu, 9 Nov 2023 19:38:22 +0000

* gnu/packages/crates-io.scm (rust-gix-worktree-stream-0.5): New variable.

Change-Id: I48bf12d15cc90952c80e4bdc373979f59c544cba
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9c25d92a1e5..5cb37674fc0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -32268,6 +32268,36 @@ (define-public rust-gix-worktree-state-0.3
 state. Used by Gitoxide a pure Rust implementation of Git.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-gix-worktree-stream-0.5
+  (package
+    (name "rust-gix-worktree-stream")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gix-worktree-stream" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0sbmcar5r2wrv5dacx3381ykvc06fpfsfad4dfnw6p7428xfk7y8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; using undeclared crates gix_worktree/gix_testtools
+       #:cargo-inputs (("rust-gix-attributes" ,rust-gix-attributes-0.19)
+                       ("rust-gix-features" ,rust-gix-features-0.35)
+                       ("rust-gix-filter" ,rust-gix-filter-0.5)
+                       ("rust-gix-fs" ,rust-gix-fs-0.7)
+                       ("rust-gix-hash" ,rust-gix-hash-0.13)
+                       ("rust-gix-object" ,rust-gix-object-0.37)
+                       ("rust-gix-path" ,rust-gix-path-0.10)
+                       ("rust-gix-traverse" ,rust-gix-traverse-0.33)
+                       ("rust-parking-lot" ,rust-parking-lot-0.12)
+                       ("rust-thiserror" ,rust-thiserror-1))))
+    (home-page "https://github.com/Byron/gitoxide")
+    (synopsis "This crate generates a byte-stream from a git-tree")
+    (description "This crate provides the ability to generate a byte-stream
+from a git-tree. It's part of Gitoxide, a pure Rust implementation of Git.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-gjson-0.8
   (package
     (name "rust-gjson")
-- 
2.41.0